%define version 1.0.0
%define release 2

%define	desktop_vendor startcom
%define desktop_utils  %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Summary:      Graphical Patch Bay for ALSA and Jack
Name:         alsa-patch-bay
Version:      %{version}
Release:      %{release}
URL:          http://pkl.net/~node/alsa-patch-bay.html
Source0:      %{name}-%{version}.tar.gz
Patch0:       alsa-patch-bay-1.0.0-makefile.patch
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-root
Requires:     fltk >= 1.1.3

BuildRequires: gcc-c++ alsa-lib-devel e2fsprogs-devel fltk-devel xorg-x11-proto-devel
BuildRequires: jack-audio-connection-kit-devel ladcca-devel

%description
ALSA Patch Bay is a graphical patch bay for the ALSA sequencer API and
the JACK audio API.

%prep
%setup -q
%patch0 -p1

%build
%configure
%ifarch x86_64
perl -p -i -e "s|-O2 -g|-O2 -g -fPIC|g" src/driver/alsa/Makefile
perl -p -i -e "s|-O2 -g|-O2 -g -fPIC|g" src/driver/jack/Makefile
perl -p -i -e "s|-O2 -g|-O2 -g -fPIC|g" src/gui/fltk/Makefile
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# redhat menus
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=ALSA Patch Bay
Comment=Graphical patch bay for ALSA
Icon=5-pin-din.png
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

cat << EOF > %{desktop_vendor}-jack-patch-bay.desktop
[Desktop Entry]
Name=JACK Patch Bay
Comment=Graphical patch bay for JACK
Icon=5-pin-din.png
Exec=%{_bindir}/%{name} -d jack
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
  desktop-file-install --vendor %{desktop_vendor} \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-jack-patch-bay.desktop
%else
  mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  cp %{desktop_vendor}-%{name}.desktop \
     $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
  cp %{desktop_vendor}-jack-patch-bay.desktop \
     $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-jack-patch-bay.desktop
%endif

# remove redundant menu entries
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/jack-patch-bay.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%{_bindir}/alsa-patch-bay
%{_bindir}/jack-patch-bay
%{_libdir}/alsa-patch-bay
%{_datadir}/pixmaps/*
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/applications/%{desktop_vendor}-jack-patch-bay.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-jack-patch-bay.desktop
%endif

%changelog
* Wed Apr 19 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x

* Tue Jun  1 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- tune requirements for 7.3/8.0
* Wed May 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-2
- remove redundant menu entries
* Tue May 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added buildrequires, added patch to build as non-root
* Tue Nov 25 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- updated to 1.0.0
* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.2-1
- spec file tweaks
* Thu Sep 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.2-1
- update to 0.5.2, added release tags
* Thu Mar  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.1-2
- rebuilt due to changed fltk (from 1.1.0rc3 to 1.1.3)
* Tue Feb 11 2003 Fernando Pablo Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.1-1
- initial build
